// globals

function preprocess () {
  

echo ('  require(ltm)\n');
}

function calculate () {
  
  spin_samples    = getValue("spin_samples");

echo ('unidim.res <<- unidimTest(' + getValue("x"));
                  
                  if(spin_samples != "100") echo (", B=$spin_samples");
 echo (')\n');
}

function printout () {
echo ('rk.header ("Unidimensionality check (' + getValue("x") + ')")\n');
echo ('rk.print (unidim.res)\n');
}
